[OD1] Draft Outreach
curl --request POST \
--url https://api-lr.agent.ai/v1/action/outreach_drafter_draft_outreach \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prospect_name": "<string>",
"company_website": "<string>",
"seller_product": "<string>",
"output_variable_name": "outreach_package",
"channel": "both",
"tone": "professional",
"goal": "book a meeting",
"additional_context": "<string>",
"seller_icp": "<string>",
"seller_website": "<string>",
"pain_points": "<string>",
"proof_points": "<string>"
}
'import requests
url = "https://api-lr.agent.ai/v1/action/outreach_drafter_draft_outreach"
payload = {
"prospect_name": "<string>",
"company_website": "<string>",
"seller_product": "<string>",
"output_variable_name": "outreach_package",
"channel": "both",
"tone": "professional",
"goal": "book a meeting",
"additional_context": "<string>",
"seller_icp": "<string>",
"seller_website": "<string>",
"pain_points": "<string>",
"proof_points": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prospect_name: '<string>',
company_website: '<string>',
seller_product: '<string>',
output_variable_name: 'outreach_package',
channel: 'both',
tone: 'professional',
goal: 'book a meeting',
additional_context: '<string>',
seller_icp: '<string>',
seller_website: '<string>',
pain_points: '<string>',
proof_points: '<string>'
})
};
fetch('https://api-lr.agent.ai/v1/action/outreach_drafter_draft_outreach', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 123,
"response": {}
}{
"status": 123,
"response": {}
}{
"status": 123,
"response": {}
}{
"status": 123,
"response": {}
}Outreach Drafter
[OD1] Draft Outreach
Generates personalized email and LinkedIn message variants with transparent personalization audit.
POST
/
action
/
outreach_drafter_draft_outreach
[OD1] Draft Outreach
Authorizations
Bearer token from your account (https://agent.ai/user/integrations#api)
Body
application/json
Pattern:
^[a-zA-Z][a-zA-Z0-9_]*$⌘I

